For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • POSTCreate Order Without CompanyID
              • GETGet Company Orders
              • POSTCreate An Order
              • PUTUpdate Company Order With BC OrderId
              • POSTUpdate BC Order's 'Company attribute'
              • PUTUpdate B2BE User's Orders' company attribute.
              • GETGet Orders Images
              • GETGet Company By BC OrderId
              • GETGet Company Id By Order Id
              • GETGet Order Detail
              • GETGet Order Product
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIOrder

Update B2BE User's Orders' company attribute.

Deprecated
PUT
https://api-b2b.bigcommerce.com/api/v2/io/orders/company
PUT
/api/v2/io/orders/company
$curl -X PUT https://api-b2b.bigcommerce.com/api/v2/io/orders/company \
> -H "authToken: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "customerGroupID": "8421",
> "customerID": "15734"
>}'
1{
2 "code": 200,
3 "data": {},
4 "message": "Success"
5}
Update the orders belong to a B2BE company to another B2BE company.
Was this page helpful?
Previous

Update BC Order's 'Company attribute'

Next

Get Orders Images

Built with

Authentication

authTokenstring
API Key authentication via header

Headers

authTokenstringRequired
Auth token in header.

Request

Request body
customerGroupIDstringRequired
BigCommerce customer group id.
customerIDstringRequired
BigCommerce user id.

Response

Response Success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

400
Bad Request Error